import type { CompactLessOp } from '../codec/compact/types';
import { AbstractPredicateOp } from './AbstractPredicateOp';
import type { OperationLess } from '../types';
import { type Path } from '@jsonjoy.com/json-pointer';
import { OPCODE } from '../constants';
import type { AbstractOp } from './AbstractOp';
/**
 * @category JSON Predicate
 */
export declare class OpLess extends AbstractPredicateOp<'less'> {
    readonly value: number;
    constructor(path: Path, value: number);
    op(): "less";
    code(): OPCODE;
    test(doc: unknown): boolean;
    toJson(parent?: AbstractOp): OperationLess;
    toCompact(parent: undefined | AbstractOp, verbose: boolean): CompactLessOp;
}
